## snmp-mibs-downloader 1.0

=== Makefile ===
# Makefile for mib-downloader
#

CONFFILES= snmp-mibs-downloader.conf \
           iana.conf ianalist \
           rfc.conf rfclist rfcmibs.diff \
           simpleweb.conf simplelist \
           ianarfc.conf ianarfclist

BINFILES=  download-mibs
INSTALL=   /usr/bin/install

all:

install:
	$(INSTALL) -m 755 $(BINFILES)  $(DESTDIR)/usr/bin
	$(INSTALL) -m 644 $(CONFFILES) $(DESTDIR)/etc/snmp-mibs-downloader
	cp mibrfcs/*                   $(DESTDIR)/usr/share/doc/mibrfcs
	ln -s /var/lib/mibs/ietf     $(DESTDIR)/usr/share/mibs/ietf
	ln -s /var/lib/mibs/iana     $(DESTDIR)/usr/share/mibs/iana

=== debian/changelog ===
snmp-mibs-downloader (1.0) unstable; urgency=low

  * Initial release. (Closes: #559039)

 -- Jochen Friedrich <jochen@scram.de>  Thu, 07 Jan 2010 16:30:13 +0100

=== debian/control ===
Source: snmp-mibs-downloader
Section: non-free/net
Priority: optional
Maintainer: Jochen Friedrich <jochen@scram.de>
Standards-Version: 3.8.3
Build-Depends: debhelper (>=7)
Homepage: https://alioth.debian.org/projects/pkg-net-snmp
Vcs-Git: git://git.debian.org/git/collab-maint/snmp-mibs-downloader.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/snmp-mibs-downloader.git

Package: snmp-mibs-downloader
Section: non-free/net
Architecture: all
Depends: ${misc:Depends}, wget, smistrip, patch
Suggests: unzip
Description: Install and manage Management Information Base (MIB) files
 This package ships the IETF RFCs containing MIB files and a script which
 extracts them to be used by Simple Network Management libraries. The script
 can be used to update some MIBs to the latest version or to download extra
 vendor MIBs.
 .
 These MIBs can be useful for programs like wireshark or snmpget to enable
 them to translating the received information into human readable text.

## snmp-mibs-downloader 1.1

=== Makefile ===
--- 
+++ 
@@ -16,5 +16,6 @@
 	$(INSTALL) -m 755 $(BINFILES)  $(DESTDIR)/usr/bin
 	$(INSTALL) -m 644 $(CONFFILES) $(DESTDIR)/etc/snmp-mibs-downloader
 	cp mibrfcs/*                   $(DESTDIR)/usr/share/doc/mibrfcs
+	cp mibiana/*                   $(DESTDIR)/usr/share/doc/mibiana
 	ln -s /var/lib/mibs/ietf     $(DESTDIR)/usr/share/mibs/ietf
 	ln -s /var/lib/mibs/iana     $(DESTDIR)/usr/share/mibs/iana

=== debian/changelog ===
snmp-mibs-downloader (1.1) unstable; urgency=low

  * Ship IANA resources directly rather than extracting them from the
    RFC. Not all resources are shipped as RFC and sometimes even the
    RFC listed in the history is plain wrong. (Closes: #574608)
  * Update policy to 3.8.4.
  * Add recently submitted RFCs to repository.

 -- Jochen Friedrich <jochen@scram.de>  Fri, 04 Jun 2010 14:34:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free/net
 Priority: optional
 Maintainer: Jochen Friedrich <jochen@scram.de>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>=7)
 Homepage: https://alioth.debian.org/projects/pkg-net-snmp
 Vcs-Git: git://git.debian.org/git/collab-maint/snmp-mibs-downloader.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

.phony: update_rfcs

update_rfcs:
	rm -f mibrfcs/*
	cat rfclist ianarfclist | while read rfc mib; do \
	if [ "$$rfc" != "#" ]; then \
	wget -O mibrfcs/rfc$$rfc.txt http://www.rfc-editor.org/rfc/rfc$$rfc.txt; \
	fi; \
	done;

## snmp-mibs-downloader 1.1%2Bnmu1

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: non-free/net
 Priority: optional
 Maintainer: Jochen Friedrich <jochen@scram.de>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>=7)
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9)
 Homepage: https://alioth.debian.org/projects/pkg-net-snmp
-Vcs-Git: git://git.debian.org/git/collab-maint/snmp-mibs-downloader.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/snmp-mibs-downloader.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/snmp-mibs-downloader.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/snmp-mibs-downloader.git
 
 Package: snmp-mibs-downloader
-Section: non-free/net
 Architecture: all
 Depends: ${misc:Depends}, wget, smistrip, patch
 Suggests: unzip

## snmp-mibs-downloader 1.1+nmu1

=== Makefile ===
# Makefile for mib-downloader
#

CONFFILES= snmp-mibs-downloader.conf \
           iana.conf ianalist \
           rfc.conf rfclist rfcmibs.diff \
           simpleweb.conf simplelist \
           ianarfc.conf ianarfclist

BINFILES=  download-mibs
INSTALL=   /usr/bin/install

all:

install:
	$(INSTALL) -m 755 $(BINFILES)  $(DESTDIR)/usr/bin
	$(INSTALL) -m 644 $(CONFFILES) $(DESTDIR)/etc/snmp-mibs-downloader
	cp mibrfcs/*                   $(DESTDIR)/usr/share/snmp/mibs-downloader/mibrfcs
	cp mibiana/*                   $(DESTDIR)/usr/share/snmp/mibs-downloader/mibiana
	gzip -n9                       $(DESTDIR)/usr/share/snmp/mibs-downloader/mibrfcs/*
	gzip -n9                       $(DESTDIR)/usr/share/snmp/mibs-downloader/mibiana/*
	ln -s /var/lib/snmp/mibs/ietf  $(DESTDIR)/usr/share/snmp/mibs/ietf
	ln -s /var/lib/snmp/mibs/iana  $(DESTDIR)/usr/share/snmp/mibs/iana

=== debian/changelog ===
snmp-mibs-downloader (1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload (with maintainer permission).
  * Switch to debhelper compatibility level 9.
  * Use canonical https URLs in Vcs-Git and Vcs-Browser fields.
  * Remove executable bits from debian/control file.
  * Remove Section field from binary package stanza with same value as
    the one inherited from the source stanza.
  * Update Standards-Version to 3.9.8.
  * Use .PHONY instead of .phony in debian/rules.
  * Automate maintainer update machinery for IANA and IETF MIB sources.
  * Compress all data sources instead of relying on dh_compress which
    on some conditions does not compress small files. (Closes: #595219)
  * Move IPFIX-SELECTOR-MIB from IANA to IANARFC lists. This MIB is provided
    by the RFC5815 but controlled by IANA, and is not available from the IANA
    web site (any more?).
  * Update IANA MIBs. (Closes: #689483)
  * Apply RFC2417 errata correction to fix IPATM-IPMC-MIB compilation errors.
    (Closes: #584657, #689485)
  * Move MIBs sources from /usr/share/doc/ to /usr/share/snmp/mibs-downloader/.
    (Closes: #780429)
  * Add a --list command to download-mibs.
  * Remove generated MIBs on package removal. (Closes: #665353)
  * Install generated MIBs to /var/lib/snmp/mibs and symlinked to
    /usr/share/snmp/mibs. (Closes: #818353)
  * Update Cisco MIBs config and list. (Closes: #631433, #787073)
    Based on patches by Jean Robertson <jean.robertson@mcgill.ca> and
    grin <grin@grin.hu>.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 01 Sep 2016 19:30:31 +0200

## snmp-mibs-downloader 1.2

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,14 @@
 #
 
 CONFFILES= snmp-mibs-downloader.conf \
+           cisco.conf ciscolist \
            iana.conf ianalist \
+           ianarfc.conf ianarfclist \
+           junos.conf junoslist \
            rfc.conf rfclist rfcmibs.diff \
+           screenos.conf screenoslist \
            simpleweb.conf simplelist \
-           ianarfc.conf ianarfclist
+           $(nil)
 
 BINFILES=  download-mibs
 INSTALL=   /usr/bin/install

=== debian/changelog ===
snmp-mibs-downloader (1.2) unstable; urgency=medium

  * Orphan package. (See #878723)
  * Move project from Alioth to Salsa.
  * Prefix all debhelper filenames with the package name.
  * Line-wrap and sort debian/control fields.
  * Do not capitalize package synopsis.
  * Fix package name reference in comment header in conffile.
  * Switch debian/copyright to machine-readable format.
  * Update Standards-Version to 4.1.4 (no changes needed).
  * Switch to debhelper compatibility level 11.
  * Set Rules-Requires-Root to no.
  * Fix Juniper ScreenOS MIBs ARCHDIR to match fetched .zip contents.
  * Move cisco, junos and screenos config files from examples into /etc,
    so that they can be used directly. (Closes: #839574)
  * Fix formatting and spelling in man page.
  * Cleanup download-mibs script:
    - Unify coding style.
    - Use $() instead of ``.
    - Use case instead of sequential if.
    - Rework code to avoid useless cat, and pass -r to read.
    - Quote variables.
    - Do not use absolute program path in maintainer script.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 29 May 2018 19:48:57 +0200

=== debian/control ===
Source: snmp-mibs-downloader
Section: non-free/net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 11)
Rules-Requires-Root: no
Homepage: https://salsa.debian.org/debian/snmp-mibs-downloader
Vcs-Browser: https://salsa.debian.org/debian/snmp-mibs-downloader
Vcs-Git: https://salsa.debian.org/debian/snmp-mibs-downloader.git

Package: snmp-mibs-downloader
Architecture: all
Depends:
 ${misc:Depends},
 wget,
 smistrip,
 patch,
Suggests:
 unzip,
Description: install and manage Management Information Base (MIB) files
 This package ships the IETF RFCs containing MIB files and a script which
 extracts them to be used by Simple Network Management libraries. The script
 can be used to update some MIBs to the latest version or to download extra
 vendor MIBs.
 .
 These MIBs can be useful for programs like wireshark or snmpget to enable
 them to translating the received information into human readable text.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

.PHONY: update-mibs update-ietf-mibs update-iana-mibs

update-mibs: update-ietf-mibs update-iana-mibs

update-ietf-mibs:
	rm -f mibrfcs/*
	grep -h -v '^#' rfclist ianarfclist | while read rfc mib; do \
	  wget -O mibrfcs/rfc$$rfc.txt \
	       http://www.rfc-editor.org/rfc/rfc$$rfc.txt; \
	done;

update-iana-mibs:
	rm -f mibiana/*
	grep -h -v '^#' ianalist | while read mibname mib; do \
	  wget -O mibiana/$$mibname \
	       http://www.iana.org/assignments/$$mibname/$$mibname; \
	done;

## snmp-mibs-downloader 1.5

=== Makefile ===
--- 
+++ 
@@ -23,5 +23,5 @@
 	cp mibiana/*                   $(DESTDIR)/usr/share/snmp/mibs-downloader/mibiana
 	gzip -n9                       $(DESTDIR)/usr/share/snmp/mibs-downloader/mibrfcs/*
 	gzip -n9                       $(DESTDIR)/usr/share/snmp/mibs-downloader/mibiana/*
-	ln -s /var/lib/snmp/mibs/ietf  $(DESTDIR)/usr/share/snmp/mibs/ietf
-	ln -s /var/lib/snmp/mibs/iana  $(DESTDIR)/usr/share/snmp/mibs/iana
+	ln -s /var/lib/mibs/ietf       $(DESTDIR)/usr/share/snmp/mibs/ietf
+	ln -s /var/lib/mibs/iana       $(DESTDIR)/usr/share/snmp/mibs/iana

=== debian/changelog ===
snmp-mibs-downloader (1.5) unstable; urgency=medium

  * Move mibs location to /var/lib/mibs because /var/lib/snmp
    should only be used for things the Debian-snmp can read/write.
    snmp commands use the /usr/share/snmp/mibs location anyway
  * Updated Junos MIBs

 -- Craig Small <csmall@debian.org>  Fri, 07 Aug 2020 15:45:51 +1000

snmp-mibs-downloader (1.4) unstable; urgency=medium

  * Enable autobuild for the package

 -- Craig Small <csmall@debian.org>  Thu, 07 May 2020 19:42:50 +1000

snmp-mibs-downloader (1.3) unstable; urgency=medium

  * New maintainer Closes: #878723
  * Add README for snmpd.conf Closes: #612466

 -- Craig Small <csmall@debian.org>  Mon, 20 Apr 2020 22:27:47 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: snmp-mibs-downloader
 Section: non-free/net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 11)
+Maintainer: Craig Small <csmall@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12)
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/debian/snmp-mibs-downloader
 Vcs-Browser: https://salsa.debian.org/debian/snmp-mibs-downloader
 Vcs-Git: https://salsa.debian.org/debian/snmp-mibs-downloader.git
+Xs-Autobuild: yes
 
 Package: snmp-mibs-downloader
 Architecture: all

## snmp-mibs-downloader 1.6

=== debian/changelog ===
snmp-mibs-downloader (1.6) unstable; urgency=medium

  * Update the RFC list
  * Deleted Historic RFC MIBs
    - rfc1447
    - rfc1451
    - rfc1910
    - rfc4712
  * Updated obsoleted RFCs
    - rfc2452, rfc2454, rfc2465, rfc2466 -> rfc8096
    - rfc2576 -> rfc3584
    - rfc4008 -> rfc7658
    - rfc4133 -> rfc6933
    - rfc4369 -> rfc6173
    - rfc4544 -> rfc7147
  * Added new/found RFCs
    - rfc3637, rfc5907, rfc6065, rfc6240, rfc6340, rfc6353, rfc6445
    - rfc6475, rfc6527, rfc6615, rfc6727, rfc6765, rfc6766, rfc6767
    - rfc6768, rfc6825, rfc6850, rfc6945, rfc7052, rfc7184, rfc7257
    - rfc7330, rfc7331, rfc7367, rfc7388, rfc7420, rfc7453, rfc7460
    - rfc7461, rfc7577, rfc7658, rfc7659, rfc7666, rfc7697, rfc7784
    - rfc7856, rfc7860, rfc7870, rfc7939, rfc8150, rfc8173, rfc8389
    - rfc8502, rfc8503
  * Updated standard version to 4.6.2
  * Update to debhelper compat 13

 -- Craig Small <csmall@debian.org>  Mon, 17 Jul 2023 18:08:06 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: non-free/net
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/debian/snmp-mibs-downloader
 Vcs-Browser: https://salsa.debian.org/debian/snmp-mibs-downloader

## snmp-mibs-downloader 1.7~bpo13+1

=== debian/changelog ===
snmp-mibs-downloader (1.7~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Michael Prokop <mprokop@sipwise.com>  Mon, 16 Sep 2024 16:35:03 +0200

snmp-mibs-downloader (1.7) unstable; urgency=medium

  * Added LICENCE file !1
  * Added RFC1212 and RFC1215 Closes: #1077818
  * Fixed download mibs shellcheck errors
  * Update IANA MIBS:
    - ianaaddressfamilynumbers-mib
    - ianaiftype-mib
    - ianamau-mib
    - ianaprinter-mib

 -- Craig Small <csmall@debian.org>  Wed, 14 Aug 2024 18:08:39 +1000

## snmp-mibs-downloader 1.7

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: quilt, debhelper-compat (= 13)
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/debian/snmp-mibs-downloader
 Vcs-Browser: https://salsa.debian.org/debian/snmp-mibs-downloader

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

.PHONY: update-mibs update-ietf-mibs update-iana-mibs

update-mibs: update-ietf-mibs update-iana-mibs

update-ietf-mibs:
	rm -f mibrfcs/*
	grep -h -v '^#' rfclist ianarfclist | while read rfc mib; do \
	  wget -O mibrfcs/rfc$$rfc.txt \
	       https://www.rfc-editor.org/rfc/rfc$$rfc.txt; \
	done;

update-iana-mibs:
	rm -f mibiana/*
	grep -h -v '^#' ianalist | while read mibname mib; do \
	  wget -O mibiana/$$mibname \
	       https://www.iana.org/assignments/$$mibname/$$mibname; \
	done;

## snmp-mibs-downloader 1.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 # Makefile for mib-downloader
 #
+.PHONY: patch unpatch
+
+APPLIED_PATCHES := $(shell QUILT_PATCHES=debian/patches quilt applied)
 
 CONFFILES= snmp-mibs-downloader.conf \
            cisco.conf ciscolist \
@@ -14,7 +17,19 @@
 BINFILES=  download-mibs
 INSTALL=   /usr/bin/install
 
-all:
+all: patch
+
+clean: unpatch
+
+patch:
+	@if [ -z "$(APPLIED_PATCHES)" ] ; then \
+	  QUILT_PATCHES=debian/patches quilt push -a; \
+	fi
+
+unpatch:
+	if [ -n "$(APPLIED_PATCHES)" ] ; then \
+	  QUILT_PATCHES=debian/patches quilt pop -a; \
+	fi
 
 install:
 	$(INSTALL) -m 755 $(BINFILES)  $(DESTDIR)/usr/bin

=== debian/changelog ===
snmp-mibs-downloader (1.8) unstable; urgency=medium

  * native packages don't use quilt, adding it to the rules
    Closes: #1077818

 -- Craig Small <csmall@debian.org>  Fri, 30 May 2025 17:42:41 +1000

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 %:
 	dh $@
+
+#override_dh_auto_configure:
+#	QUILT_PATCHES=debian/patches quilt push -a
+#	dh_auto_configure
+
+#override_dh_auto_clean:
+#	QUILT_PATCHES=debian/patches if quilt applied ; then quilt pop -a ; fi
+#	dh_auto_clean
 
 .PHONY: update-mibs update-ietf-mibs update-iana-mibs
